Bug 883150

Summary: [custom part usability] Custom partition creation instructions don't acknowledge partition re-use possibility
Product: [Fedora] Fedora Reporter: Adam Williamson <awilliam>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 18CC: anaconda-maint-list, duffy, g.kaviyarasu, jonathan, mrmazda, sbueno, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Fixed In Version: anaconda-19.2-1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-30 17:33:11 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Adam Williamson 2012-12-03 17:01:11 EST
The newUI custom partition screen includes the text:

"You haven't created any mount points for your (product) installation yet:

Click here to create them automatically.

Or, create new mount points below with the '+' icon."

This text doesn't acknowledge the possibility that you can assign mount points to existing partitions too, which leads (along with various other bugs in this series) to some confusion. In my 3-pane mockup - see https://bugzilla.redhat.com/show_bug.cgi?id=883148 - I added the proposed additional text:

", or assign mount points to existing partitions below."

Now I think about it, that change is really independent of the three-pane layout, we could do something like it without changing the layout at all. Perhaps a bit tighter and more polished. A bullet point list?

* Click here to create them automatically.
* Create new partitions(*) by clicking on the '+' button.
* Assign new mount points to existing partitions in the right-hand pane, after selecting them below.

Hard to express concisely...

* - see https://bugzilla.redhat.com/show_bug.cgi?id=883138 for the problem with saying 'mount point' here.
Comment 1 Felix Miata 2012-12-04 05:32:15 EST
(In reply to comment #0)
> assign mount points to existing partitions 

This is all I require of any installer. 100% of partitioning on my systems is done in advance of beginning any installation. Mandriva and Mageia make it easy via an installation cmdline option that presents the user with no "partitioning" screens except one to select mount points among existing partitions.
Comment 2 Chris Lumens 2013-01-22 16:24:12 EST
Added a bullet point list with the third item.  We can talk about the "mount point" text separately, but it's important to note you're not necessarily creating partitions when you push that button.  Given that this is a top-down creator, you're creating a filesystem that could live on an LV, or a RAID volume, or a partition.
Comment 3 Adam Williamson 2013-01-30 17:33:11 EST
19.2 is built and this change is in it, closing. There's some issues with the bullet points that I'll report separately.